List display rates for an asset group
GET
/asset-groups/{id}/rates
const url = 'https://demo.yourapp.com/api/v1/asset-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rates';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://demo.yourapp.com/api/v1/asset-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/rates \ --header 'Authorization: Bearer <token>'Rates are for display only. The bookable price always comes from
POST /quotes. Requires the rates:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Rate list
Media typeapplication/json
object
data
Array<object>
object
id
required
string format: uuid
name
required
string
dailyRate
required
Decimal string, e.g. ‘49.99’
string
hourlyRate
string | null
weeklyRate
string | null
monthlyRate
string | null
currency
required
ISO 4217
string
validFrom
string | null format: date
validTo
string | null format: date
Examplegenerated
{ "data": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "dailyRate": "example", "hourlyRate": "example", "weeklyRate": "example", "monthlyRate": "example", "currency": "example", "validFrom": "2026-04-15", "validTo": "2026-04-15" } ]}Missing/invalid/revoked/expired API key (API_KEY_REQUIRED, API_KEY_INVALID, API_KEY_REVOKED, API_KEY_EXPIRED) or missing/invalid session token on the browser channel (SESSION_REQUIRED, SESSION_INVALID, SESSION_EXPIRED).
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Resource not found
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Rate limit exceeded (RATE_LIMITED)
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
details
Array<object>
object
path
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Retry-After
integer
Seconds until the window resets
X-RateLimit-Limit
integer
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Unix timestamp (seconds) of the window reset